# EXTShadowSamplers (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTShadowSamplers

    java.lang.Object
      org.lwjgl.opengles.EXTShadowSamplers

    public final class EXTShadowSamplers

extends java.lang.Object

Field Summary
`static int` `GL_COMPARE_REF_TO_TEXTURE_EXT` Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_EXT:
`static int` `GL_TEXTURE_COMPARE_FUNC_EXT` Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:
`static int` `GL_TEXTURE_COMPARE_MODE_EXT` Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_COMPARE_MODE_EXT

    public static final int GL_TEXTURE_COMPARE_MODE_EXT

  Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPARE_FUNC_EXT

    public static final int GL_TEXTURE_COMPARE_FUNC_EXT

  Accepted by the <pname> parameter of TexParameterf, TexParameteri, TexParameterfv, TexParameteriv, GetTexParameterfv, and GetTexParameteriv:

  See Also:
    Constant Field Values

### GL_COMPARE_REF_TO_TEXTURE_EXT

    public static final int GL_COMPARE_REF_TO_TEXTURE_EXT

  Accepted by the <param> parameter of TexParameterf, TexParameteri, TexParameterfv, and TexParameteriv when the <pname> parameter is TEXTURE_COMPARE_MODE_EXT:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.